Subject: Re: [PATCH] Fix build failure when CONFIG_NLS is set to 'm' by allmodconfig

From: Jesse Barnes <[email-masked]>
Date: Fri, 28 Jan 2011 08:45:18 -0800

On Fri, 28 Jan 2011 07:30:36 -0800
<[email-masked]> wrote:

> On Fri, Jan 21, 2011 at 12:11:50AM +0530, K, Narendra wrote:
> > On Tue, Jan 18, 2011 at 12:58:48AM +0530, K, Narendra wrote:
> > > On Sat, Jan 15, 2011 at 02:39:49AM +0530, Stephen Rothwell wrote:
> > > > Hi Narendra,
> > > > 
> > > > On Fri, 14 Jan 2011 20:52:42 +0530 <[email-masked]> wrote:
> > > > >
> > > > > This patch addresses the build failure described in this thread by
> > > > > compiling fs/nls/nls_base.c always into vmlinux, thus making the base
> > > > > nls functions available always.
> > > > 
> > > > Even on platforms that don't support ACPI or DMI ...
> > > > 
> > > > You should really restrict this to CONFIG_ACPI || CONFIG_DMI ||
> > > > CONFIG_NLS ... maybe create a CONFIG_NLS_BASE that is selected by ACPI,
> > > > DMI and NLS?
> > > 
> > > Hi Stephen,
> > > 
> > > Thank you for the suggestions. 
> > > 
> > > I agree with your suggestion that we should compile nls_base.o
> > > conditionally, only when ACPI || DMI || NLS. I have introduced a bew
> > > config option CONFIG_NLS_BASE and made ACPI, DMI and NLS select it.
> > > 
> > > V1 -> V2:
> > > 
> > > 1. Conditionally compile fs/nls/nls_base.c by introducing a new config
> > > option CONFIG_NLS_BASE, which is selected by (ACPI || DMI || NLS).
> > > Behavior of the rest of the files under fs/nls is not changed.
> > > 
> > > From: Narendra K <[email-masked]>
> > > Subject: [PATCH V2] Fix build failure when CONFIG_NLS is set to 'm' by allmodconfig
> > 
> > Hi,
> > 
> > Please let me know if there are any concerns with Version 2 of the patch.
> > If it looks good please consider it for inclusion.
> 
> Hi Jesse,
> 
> Please let me know if there are any concerns with this patch. If it is
> acceptable, please consider this for inclusion.

I think the fs stuff will have to get an ack from Al.  If he doesn't
like it, see my earlier mail for another suggestion.

-- 
Jesse Barnes, Intel Open Source Technology Center